> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get all notes

GET https://api.brevo.com/v3/crm/notes

Retrieve a paginated list of CRM notes with optional filtering by entity type, entity IDs, and date range. Results are sorted by creation date in descending order by default, with a default limit of 50 notes per page.

Reference: https://developers.brevo.com/reference/get-all-notes

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `entity` (enum, optional) — Filter by note entity type
  - Allowed values: `companies`, `deals`, `contacts`
- `entityIds` (string, optional) — Filter by note entity IDs
- `dateFrom` (integer, optional) — dateFrom to date range filter type (timestamp in milliseconds)
- `dateTo` (integer, optional) — dateTo to date range filter type (timestamp in milliseconds)
- `offset` (long, optional) — Index of the first document of the page
- `limit` (long, optional, default: 50) — Number of documents per page
- `sort` (enum, optional) — Sort the results in the ascending/descending order. Default order is **descending** by creation if `sort` is not passed
  - Allowed values: `asc`, `desc`

## Response

### 200

Returns notes list with filters

- `list of object`
  - `text` (string, required) — Content of the note. Supports HTML for rich text formatting. Supported tags include: `<p>` (paragraph), `<b>` / `<strong>` (bold), `<i>` / `<em>` (italic), `<u>` (underline), `<br />` (line break), `<a href="...">` (labelled hyperlink). Example labelled link: `<a href="https://example.com">Link text</a>`.
  - `id` (string, optional) — Unique note Id
  - `contactIds` (list of integer, optional) — Contact ids linked to a note
  - `companyIds` (list of string, optional) — Company ids linked to a note
  - `dealIds` (list of string, optional) — Deal ids linked to a note
  - `authorId` (object, optional) — Account details of user which created the note
  - `createdAt` (datetime, optional) — Note created date/time
  - `updatedAt` (datetime, optional) — Note updated date/time

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
[
  {
    "text": "<p>Meeting notes: <b>Action item</b> - visit <a href=\"https://www.brevo.com/\">Brevo</a> for details.</p>",
    "id": "61a5cd07ca1347c82306ad09",
    "contactIds": [
      247,
      1,
      2
    ],
    "companyIds": [
      "61a5ce58c5d4795761045990",
      "61a5ce58c5d4795761045991"
    ],
    "dealIds": [
      "61a5ce58c5d4795761045990",
      "61a5ce58c5d4795761045991"
    ],
    "authorId": {
      "email": "johndoe@example.com",
      "id": "61a5ce58y5d4795761045991",
      "locale": "en_GB",
      "name": {
        "fullName": "John Doe"
      },
      "timezone": "Asia/Kolkata"
    },
    "createdAt": "2017-05-01T17:05:03.000Z",
    "updatedAt": "2017-05-01T17:05:03.000Z"
  }
]
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.notes.getAllNotes({});
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.notes.get_all_notes()

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Notes\Requests\GetCrmNotesRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->notes->getAllNotes(
    new GetCrmNotesRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/crm/notes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/crm/notes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/crm/notes")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/crm/notes");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/crm/notes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```